# Uses of Interface
org.opensaml.saml.saml1.core.Advice

Packages that use Advice
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of Advice in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return Advice
Modifier and Type
Method
Description
`Advice`
Assertion.`getAdvice()`
advice is a (singleton) Object, representing the `Advice` sub element.
Methods in org.opensaml.saml.saml1.core with parameters of type Advice
Modifier and Type
Method
Description
`void`
Assertion.`setAdvice(Advice advice)`
Set the Object representing the `Advice` sub element.

## Uses of Advice in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement Advice
Modifier and Type
Class
Description
`class`
`AdviceImpl`
Concrete implementation of `Advice`.
Fields in org.opensaml.saml.saml1.core.impl declared as Advice
Modifier and Type
Field
Description
`private Advice`
AssertionImpl.`advice`
(Possibly null) Singleton object version of the `Advice` element.
Methods in org.opensaml.saml.saml1.core.impl that return Advice
Modifier and Type
Method
Description
`Advice`
AdviceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Advice`
AdviceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Advice`
AssertionImpl.`getAdvice()`
advice is a (singleton) Object, representing the `Advice` sub element.
Methods in org.opensaml.saml.saml1.core.impl with parameters of type Advice
Modifier and Type
Method
Description
`void`
AssertionImpl.`setAdvice(Advice adv)`
Set the Object representing the `Advice` sub element.